STRUCT IRQ_AFFINITY_(9)

NAME
struct_irq_affinity_notify - context for notification of IRQ affinity changes

SYNOPSIS

struct irq_affinity_notify {
  unsigned int irq;
  struct kref kref;
  struct work_struct work;
  void (* notify) (struct irq_affinity_notify *, const cpumask_t *mask);
  void (* release) (struct kref *ref);
};

MEMBERS

irq
    Interrupt to which notification applies

kref
    Reference count, for internal use

work
    Work item, for internal use

notify
    Function to be called on change. This will be called in process context.

release
    Function to be called on release. This will be called in process context. Once registered, the structure must only be freed when this function is called or later.

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT